﻿Imports Infragistics.Win.UltraWinGrid
Imports System.IO

Public Class Form1

    Private Sub UltraGrid1_InitializeLayout(sender As System.Object, e As Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs) Handles UltraGrid1.InitializeLayout
        e.Layout.Bands(0).Override.RowSelectorNumberStyle = RowSelectorNumberStyle.RowIndex
        e.Layout.Bands(0).Override.RowSelectors = Infragistics.Win.DefaultableBoolean.True
        e.Layout.RowSelectorImages.ActiveAndDataChangedImage = Nothing
        e.Layout.Override.RowSelectorHeaderStyle = RowSelectorHeaderStyle.SeparateElement
    End Sub

    Private Sub Button1_Click(sender As System.Object, e As System.EventArgs) Handles Button1.Click
        Dim filename As String = Path.Combine(Path.GetDirectoryName(Application.ExecutablePath), "x.xls")
        Me.UltraGridExcelExporter1.Export(Me.UltraGrid1, filename)
        Process.Start(filename)
    End Sub

    Private Sub UltraGridExcelExporter1_ExportStarted(sender As System.Object, e As Infragistics.Win.UltraWinGrid.ExcelExport.ExportStartedEventArgs) Handles UltraGridExcelExporter1.ExportStarted
        Dim rowNumberColumn As UltraGridColumn = e.Layout.Bands(0).Columns.Insert(0, "RowNumber")
        rowNumberColumn.DataType = GetType(Integer)

        For Each row As UltraGridRow In e.Layout.Rows
            row.Cells("RowNumber").Value = row.RowSelectorNumber
        Next
    End Sub
End Class
